Bug 120462 - [New port] archivers/par2cmdline-tbb
Summary: [New port] archivers/par2cmdline-tbb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-09 13:00 UTC by ganael.laplanche
Modified: 2008-04-19 20:40 UTC (History)
0 users

See Also:


Attachments
file.shar (9.16 KB, text/plain)
2008-02-09 13:00 UTC, ganael.laplanche
no flags Details
par2cmdline-tbb.txt (1.21 KB, text/plain)
2008-03-17 16:29 UTC, ganael.laplanche
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-02-09 13:00:07 UTC
Tbb (Intel Threading Building Blocks) version of par2cmdline tool. This version is available on : http://chuchusoft.com/par2_tbb and is actively maintained.

Note : the files/ directory include a .h file coming from the tbb port itself. This file is necessary for compiling the tool and is *not* available in the local include directory.

Fix: Patch attached with submission follows:
Comment 1 ganael.laplanche 2008-03-17 16:29:43 UTC
Hi,

Here is a patch against the previous version of the port. It does not include
the tbb_misc.h file anymore but uses the one provided by the devel/tbb port.

It now builds against the latest version of devel/tbb (20080207).

Please also consider patching archivers/par2cmdline, as described in
ports/119860 to add a CONFLICT with this port.

Best regards,

Ganaël LAPLANCHE
ganael.laplanche@martymac.com
http://www.martymac.com
Comment 2 dfilter freebsd_committer 2008-04-19 20:32:53 UTC
thierry     2008-04-19 19:32:46 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
  Added files:
    archivers/par2cmdline-tbb Makefile distinfo pkg-descr 
  Log:
  Parity v2 Archive create/verify/recover
  
  tbb version of the par2cmdline tool.
  
  par2cmdline is a program for creating and using PAR2 files to detect
  damage in data files and repair them if necessary. It can be used with
  any kind of file. Par files are especially popular on Usenet.
  
  WWW: http://chuchusoft.com/par2_tbb/
  
  PR:             ports/120462
  Submitted by:   Ganael Laplanche <ganael.laplanche at martymac.com>
  
  Revision  Changes    Path
  1.192     +1 -0      ports/archivers/Makefile
  1.1       +38 -0     ports/archivers/par2cmdline-tbb/Makefile (new)
  1.1       +3 -0      ports/archivers/par2cmdline-tbb/distinfo (new)
  1.1       +9 -0      ports/archivers/par2cmdline-tbb/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 06:44:38 UTC
State Changed
From-To: open->closed


New port added, thanks!